<div class="br-container-lg">
  <%= render partial: "decidim/shared/component_announcement" %>
  <% if current_component.settings.maps_enabled? && search.result.not_online.exists? %>
    <%= cell "decidim/meetings/meetings_map", search.result %>
  <% end %>
  <% if current_component.settings.attributes[:creation_enabled_for_participants] %>
    <%= action_authorized_link_to :create, new_meeting_path, data: { "redirect_url" => new_meeting_path } do %>
      <div class="search-filters br-magic-button medium">
        <span class="title-action__action br-button">
          <i class="fa-solid fa-plus fa-md"></i>
          <%= t("new_meeting", scope: "decidim.meetings.meetings.index") %>
        </span>
      </div>
    <% end %>
  <% end %>
  <div class="proposals-filters">
    <%= render partial: "decidim/components/filter", locals: { 
          show_filters: false,
          search_field: {
            placeholder: t("decidim.proposals.proposals.filters.placeholder", 
            name: translated_attribute(current_component.singular_name).present? ? 
                  translated_attribute(current_component.singular_name).downcase : 
                  "evento"
            ),
            status: true
          },
          radio_collection: [
            # {
            #   attribute: :with_any_date,
            #   collection: filter_date_values_meetings,
            #   legend: t("decidim.meetings.meetings.filters.date"), FILTRO RETIRADO ATÉ ARRUMAR A PROPRIEDADE STATE DE REUNIÃO    
            #   status: true
            # },
            {
              attribute: :activity,
              collection: activity_filter_values_meetings,
              legend: t("decidim.meetings.meetings.filters.activity"),
              status: current_user
            }
          ],
          check_boxes: [
            {
              attribute: :with_any_type,
              collection: filter_type_values_meetings,
              legend: t("decidim.meetings.meetings.filters.type"),
              status: true
            },
            {
              attribute: :with_any_scope,
              collection: filter_scopes_values,
              legend: t("decidim.meetings.meetings.filters.scope"),
              status: current_component.has_subscopes?
            },
            {
              attribute: :with_any_category,
              collection: filter_categories_values,
              legend: t("decidim.meetings.meetings.filters.category"),
              status: current_component.categories.any?
            },
            {
              attribute: :with_any_origin,
              collection: filter_origin_values_meetings,
              legend: t("decidim.meetings.meetings.filters.origin"),
              status: component_settings.creation_enabled_for_participants?
            },
            {
              attribute: :with_any_associated_state,
              collection: filter_associated_states_values,
              legend: t("decidim.meetings.meetings.filters.state"),
              status: true
            }
          ],
          hidden_tag: {
            status: false,
          },
          hidden_field: {
            status: false,
          }
        }
    %>
  </div>
  <div class="proposals-content-container">
    <div id="meetings" class="proposals-br" aria-live="polite">
      <%= render partial: "decidim/components/list", locals: {
        elements_name: current_component.manifest_name, 
        collection: meetings
      } %>
    </div>
  </div>
</div>
